package dnddemo1;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;

public class DnDDemo {
    private static void constructGUI() {
        //Create and set up the window.
        JFrame frame = new JFrame("Drag and Drop Demo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setContentPane(new JPanel());
        JTextField textField = new JTextField(25);
        textField.setText("Let's swing higher");
        frame.add(textField);

        //Create a text area.
        JTextArea textArea = new JTextArea(4, 25);
        textArea.setText("Demonstrating\ndrag and drop");
        frame.getContentPane().add(textArea);
        textArea.setDragEnabled(true);
        textField.setDragEnabled(true);
        frame.pack();
        frame.setVisible(true);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}
